Returns feed details (including processing status) for the feed

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

feedIdstringRequired

Response

Success
feedIdstring
Unique identifier for this feed
feedTypestring

The type of feed submitted (e.g. LISTINGS_FEED, INVENTORY_FEED)

createdAtdatetime
Timestamp when the feed was received by the server
processingStatusenum
Current processing status of the feed
marketplaceIdstringOptional

Marketplace the feed was submitted to (e.g. WALMART_US)

processingStartedAtdatetimeOptional

Timestamp when feed processing began; absent until processing starts

processingCompletedAtdatetimeOptional

Timestamp when feed processing finished; absent until complete

resultFeedDocumentIdstringOptional

ID of the result document; present only when processingStatus is DONE. Use with GET /feeds/v4/feeds/{feedId}/document.

feedProcessingSummaryobjectOptional

Record-level processing counts; present only when processingStatus is DONE

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error